BlockChallengeSettings¶
- class oci.waas.models.BlockChallengeSettings(**kwargs)¶
Bases:
objectThe challenge settings if action is set to BLOCK.
Attributes:
A constant which can be used with the block_action property of a BlockChallengeSettings.
A constant which can be used with the block_action property of a BlockChallengeSettings.
A constant which can be used with the block_action property of a BlockChallengeSettings.
Gets the block_action of this BlockChallengeSettings.
Gets the block_error_page_code of this BlockChallengeSettings.
Gets the block_error_page_description of this BlockChallengeSettings.
Gets the block_error_page_message of this BlockChallengeSettings.
Gets the block_response_code of this BlockChallengeSettings.
Gets the captcha_footer of this BlockChallengeSettings.
Gets the captcha_header of this BlockChallengeSettings.
Gets the captcha_submit_label of this BlockChallengeSettings.
Gets the captcha_title of this BlockChallengeSettings.
Methods:
__init__(**kwargs)Initializes a new BlockChallengeSettings object with values from keyword arguments.
- BLOCK_ACTION_SET_RESPONSE_CODE = 'SET_RESPONSE_CODE'¶
A constant which can be used with the block_action property of a BlockChallengeSettings. This constant has a value of “SET_RESPONSE_CODE”
- BLOCK_ACTION_SHOW_CAPTCHA = 'SHOW_CAPTCHA'¶
A constant which can be used with the block_action property of a BlockChallengeSettings. This constant has a value of “SHOW_CAPTCHA”
- BLOCK_ACTION_SHOW_ERROR_PAGE = 'SHOW_ERROR_PAGE'¶
A constant which can be used with the block_action property of a BlockChallengeSettings. This constant has a value of “SHOW_ERROR_PAGE”
- __init__(**kwargs)¶
Initializes a new BlockChallengeSettings object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
block_action (str) – The value to assign to the block_action property of this BlockChallengeSettings. Allowed values for this property are: “SET_RESPONSE_CODE”, “SHOW_ERROR_PAGE”, “SHOW_CAPTCHA”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
block_response_code (int) – The value to assign to the block_response_code property of this BlockChallengeSettings.
block_error_page_message (str) – The value to assign to the block_error_page_message property of this BlockChallengeSettings.
block_error_page_description (str) – The value to assign to the block_error_page_description property of this BlockChallengeSettings.
block_error_page_code (str) – The value to assign to the block_error_page_code property of this BlockChallengeSettings.
captcha_title (str) – The value to assign to the captcha_title property of this BlockChallengeSettings.
captcha_header (str) – The value to assign to the captcha_header property of this BlockChallengeSettings.
captcha_footer (str) – The value to assign to the captcha_footer property of this BlockChallengeSettings.
captcha_submit_label (str) – The value to assign to the captcha_submit_label property of this BlockChallengeSettings.
- property block_action¶
Gets the block_action of this BlockChallengeSettings. The method used to block requests that fail the challenge, if action is set to BLOCK. If unspecified, defaults to SHOW_ERROR_PAGE.
Allowed values for this property are: “SET_RESPONSE_CODE”, “SHOW_ERROR_PAGE”, “SHOW_CAPTCHA”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The block_action of this BlockChallengeSettings.
- Return type
str
- property block_error_page_code¶
Gets the block_error_page_code of this BlockChallengeSettings. The error code to show on the error page when action is set to BLOCK, blockAction is set to SHOW_ERROR_PAGE and the request is blocked. If unspecified, defaults to 403.
- Returns
The block_error_page_code of this BlockChallengeSettings.
- Return type
str
- property block_error_page_description¶
Gets the block_error_page_description of this BlockChallengeSettings. The description text to show on the error page when action is set to BLOCK, blockAction is set to SHOW_ERROR_PAGE, and the request is blocked. If unspecified, defaults to Access blocked by website owner. Please contact support.
- Returns
The block_error_page_description of this BlockChallengeSettings.
- Return type
str
- property block_error_page_message¶
Gets the block_error_page_message of this BlockChallengeSettings. The message to show on the error page when action is set to BLOCK, blockAction is set to SHOW_ERROR_PAGE, and the request is blocked. If unspecified, defaults to Access to the website is blocked.
- Returns
The block_error_page_message of this BlockChallengeSettings.
- Return type
str
- property block_response_code¶
Gets the block_response_code of this BlockChallengeSettings. The response status code to return when action is set to BLOCK, blockAction is set to SET_RESPONSE_CODE or SHOW_ERROR_PAGE, and the request is blocked. If unspecified, defaults to 403. The list of available response codes: 200, 201, 202, 204, 206, 300, 301, 302, 303, 304, 307, 400, 401, 403, 404, 405, 408, 409, 411, 412, 413, 414, 415, 416, 422, 444, 494, 495, 496, 497, 499, 500, 501, 502, 503, 504, 507.
- Returns
The block_response_code of this BlockChallengeSettings.
- Return type
int
Gets the captcha_footer of this BlockChallengeSettings. The text to show in the footer when showing a CAPTCHA challenge when action is set to BLOCK, blockAction is set to SHOW_CAPTCHA, and the request is blocked. If unspecified, default to Enter the letters and numbers as they are shown in image above.
- Returns
The captcha_footer of this BlockChallengeSettings.
- Return type
str
- property captcha_header¶
Gets the captcha_header of this BlockChallengeSettings. The text to show in the header when showing a CAPTCHA challenge when action is set to BLOCK, blockAction is set to SHOW_CAPTCHA, and the request is blocked. If unspecified, defaults to We have detected an increased number of attempts to access this webapp. To help us keep this webapp secure, please let us know that you are not a robot by entering the text from captcha below.
- Returns
The captcha_header of this BlockChallengeSettings.
- Return type
str
- property captcha_submit_label¶
Gets the captcha_submit_label of this BlockChallengeSettings. The text to show on the label of the CAPTCHA challenge submit button when action is set to BLOCK, blockAction is set to SHOW_CAPTCHA, and the request is blocked. If unspecified, defaults to Yes, I am human.
- Returns
The captcha_submit_label of this BlockChallengeSettings.
- Return type
str
- property captcha_title¶
Gets the captcha_title of this BlockChallengeSettings. The title used when showing a CAPTCHA challenge when action is set to BLOCK, blockAction is set to SHOW_CAPTCHA, and the request is blocked. If unspecified, defaults to Are you human?
- Returns
The captcha_title of this BlockChallengeSettings.
- Return type
str